locked
Installing Remote Desktop Connection after installing SP3 RRS feed

  • 問題

  • I want to install a newer version of RDC over the built-in ver. 5.1 on my SP3 XP Pro, but when setting up it says:

    ---------------------------
    KB952155 Setup Error
    ---------------------------
    Setup has detected that the Service Pack version of this system
    is newer than the update you are applying.

    There is no need to install this update.
    ---------------------------

    But I am sure that my RDC is still ver. 5.1.

    I read that when I download the RDC 6.1 that it says it support SP2 only, but it really doesn't install on SP3? Anyway to make it install on SP3?

    Please help, thanks!!
    2008年12月28日 5:50

解答

所有回覆

  • Hi 麥

     

    Could you double check if the version of RDC is 6.1 or 5.1.

    The white paper that you can download from the URL below said RDC 6.1 is included on XP SP3

    http://www.microsoft.com/downloads/details.aspx?FamilyID=68c48dad-bc34-40be-8d85-6bb4f56f5110&displaylang=en

     

    Hope this can help

    2008年12月29日 16:15
  • After installed WinXP SP3, you should find a new remote desktop icon from "Start" button.

    Or you may also start it with "mstsc" from "Run"

     

    As ChiYau said, the most updated Remote Desktop is included in SP3 already.

     

    2008年12月30日 6:12
  • Thanks for the replies from both of you.

     

    My current RDC version is indeed 5.1, (5.1.2600.2180 to be exact).

     

    After knowing that RDC 6.1 should be in SP3 I kind of recall that before SP3 I used to have RDC 6.1 (or 6.0?) on my machine but as SP3 could not install when I have RDC 6 MUI (my XP is MUI Chinese), I proceeded to uninstall RDC 6 altogether before installing SP3. And after SP3 is applied I still have RDC 5.1 here.

     

    Is there really no way to install RDC 6.1 on SP3?

    2008年12月30日 12:52
  •  

    Hi 麥

     

    Have you tried Microsoft Update?

    http://update.microsoft.com/microsoftupdate/v6/default.aspx?ln=zh-tw

     

    It has an option for the un-necessary(non-critial) update (not sure what is the exact term for that), Which may provide you an update for the RDC to RDC 6.1.

     

    Hope this can help.

     

    2008年12月31日 0:48
  •  麥 wrote:

    Thanks for the replies from both of you.

     

    My current RDC version is indeed 5.1, (5.1.2600.2180 to be exact).

     

    After knowing that RDC 6.1 should be in SP3 I kind of recall that before SP3 I used to have RDC 6.1 (or 6.0?) on my machine but as SP3 could not install when I have RDC 6 MUI (my XP is MUI Chinese), I proceeded to uninstall RDC 6 altogether before installing SP3. And after SP3 is applied I still have RDC 5.1 here.

     

    Is there really no way to install RDC 6.1 on SP3?

     

    After researching based on your information provided, I think that you must be getting this message when installing SP3 before,

     

    "Service Pack 3 Setup has been canceled because Windows XP SP3 cannot be installed over RDP 6.0 MUI PACK (Update for Windows XP (KB952230)). Before you can continue, you must Uninstall KB952230."

     

    And then you choose to uninstall Remote Desktop Connection 6.1 completely and then installed SP3. Actually you should not uninstall Remote Desktop Connection 6.1, But you should uninstall the "Update for Windows XP (KB952230)." This update includes the Multilingual User Interface Pack (MUI) for the Remote Desktop Connection 6.0 (Terminal Services Client 6.0). To do this, follow these steps:

    1. Click Start, click Control Panel, and then click Add or Remove Programs.
    2. Click to select the Show updates check box at the top of the page.
    3. Click Update for Windows XP (KB952230), and then click Remove.
    4. After the KB952230 update is removed, install Windows XP SP3.

    That means, You should uninstall the MUI Pack (KB952230) rather than the Remote Desktop Connection 6.1 (KB952155). And there is no way to install KB952155 when you are already in SP3. So you could only uninstall SP3, and then install the KB952155 and then install SP3 again. Be sure that you should not install KB952230 this time.

     

    Hope this could help.

    2008年12月31日 1:53